#include <P16F630.INC>
 __CONFIG (_MCLRE_OFF & _CP_OFF & _WDT_OFF & _INTRC_OSC_NOCLKOUT)  ;Internal osc.

 c1 equ 20
 c2 equ 21
t1 equ 22
t2 equ 23
Reg_1 equ 24
Reg_2 equ 25
Reg_3 equ 26

 org 0

Start
 
 BSF   STATUS,RP0  ; select bank 1
 CLRF  TRISC       ; make PORTC pins all output
CLRF  TRISA       ; make PORTA pins all output
 BCF   STATUS,RP0  ; select bank 0
 movlw b'00000000'
 movwf  PORTC       ; set portc pins equal to 0
movlw b'00000000'
 movwf  PORTA       ; set portc pins equal to 0

loop
call game
goto loop

game
movlw 0x99
movwf t1
movlw 0x50
movwf t2
game1
 movlw b'00111111' ;0
 movwf PORTC
movlw b'00010000'
 movwf PORTA
call delay10000
 movlw b'00100100'  ;1
 movwf PORTC
movlw b'00000001'
 movwf PORTA
call delay10000
decfsz t1,1 
 goto game1

game2
 movlw b'00100100'  ;1
 movwf PORTC
movlw b'00010000'
 movwf PORTA
call delay10000
 movlw b'00011110'  ;2
 movwf PORTC
movlw b'00000101'
 movwf PORTA
 call delay10000
decfsz t2,1 
 goto game2


;delay = 1000 machine cycles
delay10000
       movlw       0x75
       movwf       Reg_1
       movlw       0x2
       movwf       Reg_2
wr          
       decfsz      Reg_1, 1
       goto        wr
       decfsz      Reg_2, 1
       goto        wr
       nop
return

gameoff
 end
